Management API
The Management API provides organisation-level access to orders, prescriptions, products, doctors, patients, waiting room, listing requests, wallet passes, and webhook subscriptions. It is designed for back-office integrations and internal tooling.Base Path
/v1/management
Interactive API Documentation (Swagger)
A live Swagger UI is available for exploring and testing endpoints directly in your browser:https://api.rxscale.com/v1/management/apidocs
The Swagger UI lets you try out API calls interactively. Authenticate with your API key to test against real data.
Authentication
Every endpoint accepts either an API key via theX-API-Key header, or an Auth0-issued OAuth Bearer token via the Authorization header. Both are scoped to an organisation and can access data for all entities within that organisation. See Authentication for how to obtain either credential and the audience a Bearer token must be issued for.
curl -X GET "https://api.rxscale.com/v1/management/health/" \
-H "X-API-Key: your-api-key-here"
curl -X GET "https://api.rxscale.com/v1/management/health/" \
-H "Authorization: Bearer your-access-token-here"
You can also connect an AI client (Cursor, Claude Desktop, …) directly to this API over MCP, using RxScale’s provided Auth0 application — no API key required in the client config. See the Management API MCP guide.
Available Endpoints
| Method | Endpoint | Description |
|---|---|---|
GET | /orders | List orders (paginated) |
GET | /orders/{order_uid} | View order details |
POST | /orders | Create an order from your own sales channel (Order Intake) |
POST | /orders/{external_id}/fulfillments | Add a new fulfillment to an existing order |
PATCH | /orders/{external_id} | Update item-free order fields |
POST | /orders/{external_id}/fulfillments/{fulfillment_external_id}/cancel | Cancel a fulfillment |
GET | /prescriptions/{prescription_uid} | View prescription details |
GET | /prescriptions/statistics | Get the number of prescriptions per status |
GET | /products | List products with SKUs (paginated) |
POST | /products | Create a product |
GET | /products/{product_uid} | View product details |
PATCH | /products/{product_uid} | Update a product |
DELETE | /products/{product_uid} | Delete a product |
GET | /skus | List SKUs |
POST | /skus | Create a SKU |
GET | /skus/{sku_uid} | View SKU details |
PATCH | /skus/{sku_uid} | Update a SKU |
DELETE | /skus/{sku_uid} | Delete a SKU |
GET | /shop-skus | List shop SKUs |
POST | /shop-skus | Create a shop SKU |
GET | /shop-skus/{shop_sku_uid} | View shop SKU details |
PATCH | /shop-skus/{shop_sku_uid} | Update a shop SKU |
DELETE | /shop-skus/{shop_sku_uid} | Delete a shop SKU |
GET | /shop-products | List shop products |
POST | /shop-products | Create a shop product |
GET | /shop-products/{shop_product_uid} | View shop product details |
PATCH | /shop-products/{shop_product_uid} | Update a shop product |
DELETE | /shop-products/{shop_product_uid} | Delete a shop product |
GET | /questionnaires | List questionnaires (paginated) (Questionnaires) |
POST | /questionnaires | Create a questionnaire |
GET | /questionnaires/{questionnaire_uid} | View a questionnaire |
PATCH | /questionnaires/{questionnaire_uid} | Update questionnaire metadata |
PATCH | /questionnaires/{questionnaire_uid}/model | Publish a questionnaire’s SurveyJS model |
GET | /questionnaires/{questionnaire_uid}/statistics/submissions | Submission counts per day for a questionnaire |
GET | /doctors | List doctors (paginated) |
GET | /doctors/{doctor_uid}/statistics | Get doctor prescription statistics |
GET | /doctors/{doctor_uid}/blacklisted-skus | List SKUs a doctor may not prescribe (paginated) |
POST | /doctors/{doctor_uid}/blacklisted-skus | Blacklist a SKU for a doctor |
DELETE | /doctors/{doctor_uid}/blacklisted-skus/{sku_uid} | Remove a SKU from a doctor’s blacklist |
GET | /statistics/dashboard | Organisation dashboard statistics (Statistics) |
GET | /statistics/doctors | Prescription statistics for every doctor in the organisation |
GET | /patients?email=... | Search patient by email |
GET | /patients/{patient_uid} | View patient profile |
GET | /patients/{patient_uid}/intent/{intent} | Check patient intent |
POST | /waiting-room/register | Register patient for waiting room |
GET | /waiting-room/{queue_uid}/status | Check queue status |
DELETE | /waiting-room/{queue_uid} | Cancel queue registration |
POST | /review-links | Create a single-use review link for a pharmacy order |
GET | /review-links | List review links |
DELETE | /review-links/{uid} | Revoke a review link |
GET | /listing-requests | List listing requests (paginated) |
GET | /listing-requests/{uid} | View a listing request |
POST | /listing-requests/{uid}/accept | Accept a pending listing request |
POST | /listing-requests/{uid}/decline | Decline a pending listing request |
GET | /wallet-passes/templates | List wallet pass templates |
GET | /wallet-passes | List wallet passes |
POST | /wallet-passes | Issue a wallet pass for a patient |
GET | /wallet-passes/{wallet_pass_uid} | Get a single wallet pass |
DELETE | /wallet-passes/{wallet_pass_uid} | Revoke a wallet pass |
POST | /wallet-passes/verify | Verify a scanned wallet pass |
POST | /wallet-passes/push-notifications | Send push notifications |
GET | /notification-subscriptions | List webhook subscriptions |
POST | /notification-subscriptions | Register webhook subscription |
DELETE | /notification-subscriptions | Remove webhook subscription |
POST | /notification-subscriptions/test | Test webhook delivery |
GET | /scheduling/appointments | List scheduled appointments (paginated) |
POST | /scheduling/appointments/{meeting_uid}/cancel | Cancel a scheduled appointment |
GET | /scheduling/appointment-types | List appointment types |
POST | /scheduling/appointment-types | Create an appointment type |
PATCH | /scheduling/appointment-types/{uid} | Update an appointment type |
DELETE | /scheduling/appointment-types/{uid} | Delete an appointment type |
GET | /scheduling/appointment-types/{uid}/reminders | List appointment-type reminders |
POST | /scheduling/appointment-types/{uid}/reminders | Create an appointment-type reminder |
PATCH | /scheduling/appointment-types/{uid}/reminders/{reminder_uid} | Update a reminder |
DELETE | /scheduling/appointment-types/{uid}/reminders/{reminder_uid} | Delete a reminder |
GET | /scheduling/doctors/{doctor_uid}/availability-rules | List a doctor’s availability rules |
POST | /scheduling/doctors/{doctor_uid}/availability-rules | Create an availability rule |
PATCH | /scheduling/doctors/{doctor_uid}/availability-rules/{rule_uid} | Update an availability rule |
DELETE | /scheduling/doctors/{doctor_uid}/availability-rules/{rule_uid} | Delete an availability rule |
GET | /scheduling/doctors/{doctor_uid}/availability-date-overrides | List date overrides (paginated) |
POST | /scheduling/doctors/{doctor_uid}/availability-date-overrides | Create a date override |
PATCH | /scheduling/doctors/{doctor_uid}/availability-date-overrides/{override_uid} | Update a date override |
DELETE | /scheduling/doctors/{doctor_uid}/availability-date-overrides/{override_uid} | Delete a date override |
POST | /anamnesis/patient-connections | Connect an anamnesis submission to a patient |
POST | /review-requests | Ask a doctor to review a patient (Review Requests) |
GET | /review-requests/{review_request_uid} | Read a review request’s current state |
POST | /review-requests/{review_request_uid}/cancel | Cancel a review request |
GET | /telemedicine-providers | List telemedicine providers connected to your organisation (Telemedicine Providers) |
GET | /telemedicine-providers/{uid}/settings | Get a telemedicine provider’s settings |
PATCH | /telemedicine-providers/{uid}/settings | Update a telemedicine provider’s settings |
GET | /audit-logs | List organisation audit log entries (Audit Log) |
GET | /skus/{sku_uid}/telemedicine-provider-skus | List a SKU’s telemedicine provider mappings |
POST | /skus/{sku_uid}/telemedicine-provider-skus | Create a telemedicine provider SKU mapping |
GET | /skus/{sku_uid}/telemedicine-provider-skus/{telemedicine_provider_sku_uid} | Get a telemedicine provider SKU mapping |
PATCH | /skus/{sku_uid}/telemedicine-provider-skus/{telemedicine_provider_sku_uid} | Update a mapping, including pause and resume |
DELETE | /skus/{sku_uid}/telemedicine-provider-skus/{telemedicine_provider_sku_uid} | Delete a telemedicine provider SKU mapping |
Required Permissions
| Endpoint | Required Permission |
|---|---|
| View orders | order:read |
| Create/update/cancel orders (Order Intake) | order:write |
| View prescriptions and prescription statistics | prescription:read |
| List products / SKUs / shop SKUs / shop products | product:read |
| Create, update, or delete products / SKUs / shop SKUs / shop products | product:write |
| List / view questionnaires (Questionnaires) | questionnaire:read |
| Create questionnaires and publish the SurveyJS model | questionnaire:write |
| List doctors | doctor:read |
| Doctor statistics | doctor_statistics:read |
| Organisation dashboard statistics, all-doctors statistics, questionnaire submission statistics (Statistics) | statistics:read |
| List a doctor’s blacklisted SKUs | doctor_blacklist:read |
| Blacklist / unblacklist a SKU for a doctor | doctor_blacklist:write |
| View patients | patient:read |
| Register / cancel waiting room | waiting_room:write |
| View waiting room status | waiting_room:read |
| Create / revoke review links | review_link:write |
| List review links | review_link:read |
| List wallet pass templates | wallet_pass_template:read |
| List / get wallet passes | wallet_pass:read |
| Issue / revoke a wallet pass | wallet_pass:write |
| Verify a scanned wallet pass | wallet_pass:verify |
| Send push notifications | wallet_pass_push_notification:write |
| List / view listing requests | listing_request:read |
| Accept / decline listing requests | listing_request:write |
Read scheduling data (all scheduling GET endpoints) | scheduling:read |
Change scheduling data (all scheduling POST / PATCH / DELETE endpoints) | scheduling:admin |
| Connect an anamnesis submission to a patient | anamnesis:connect_patient |
| Create / cancel review requests | review_request:write |
| Read a review request | review_request:read |
| List telemedicine providers, view settings, list or get SKU mappings | telemedicine_provider:read |
| Update telemedicine provider settings; create, update, pause, resume, or delete SKU mappings | telemedicine_provider:write |
| List the organisation audit log | audit_log:read |
Webhook subscription endpoints (notification-subscriptions) do not require a specific permission beyond a valid Management API key.